# Update a collection

Updates the matching collection.

Endpoint: PUT /collections/{collection_id}
Version: v4
Security: APIToken

## Path parameters:

  - `collection_id` (string, required)
    Unique identifier for the resource instance.
    Example: "oqgiju-21olts-ce9egi"

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

  - `Authorization` (string, required)
    Bearer token for authentication

  - `Accept` (string, required)
    Enum: same as `Content-Type` (1 values)

## Request fields (application/json):

  - `data` (object, required)

  - `data.attributes` (object)

  - `data.attributes.name` (string)
    A new name.
    Example: "New name"

  - `data.attributes.slug` (string)
    A new URL-friendly slug. Use only letters, numbers, hyphens,
and underscores.

NOTE: We recommend not to invent your own slug. If it is
not unique and valid, the request fails with a 422 error.
Default is to automatically assign a slug based on name (a
name of \"My Collection\" would make a slug of
\"my-collection\").
    Example: "new-name"

  - `data.attributes.tagline` (string)
    A new tag line.
    Example: "New tag line"

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.id` (string)
    Unique identifier for the resource instance.
    Example: "oqgkkd-fr5iv4-hh142d"

  - `data.type` (string)
    The type of the resource.
    Enum: "collections"

  - `data.attributes` (object)

  - `data.attributes.name` (string)
    A new name.
    Example: "New name"

  - `data.attributes.slug` (string)
    A new URL-friendly slug.
    Example: "new-name"

  - `data.attributes.tagline` (string)
    A new tag line.
    Example: "New tag line"

  - `data.attributes.public` (boolean)
    Set to true for hassle-free sharing, allowing search engines to index your brand assets. Otherwise, set to false to share only with the users you specify.

  - `data.attributes.stealth` (boolean)
    Set to true to remove the collection from appearing in web searches.

  - `data.attributes.is_workspace` (boolean)
    Set to true if the collection is a Brandfolder workspace.


